petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCEISENSTAT

An implementation of SSOR (symmetric successive over relaxation, symmetric Gauss-Seidel) preconditioning that incorporates Eisenstat's trick to reduce the amount of computation needed.

### Options Database Keys

| -pc_eisenstat_omega <omega> | - Sets omega Many br
| -pc_eisenstat_no_diagonal_scaling | - Activates PCEisenstatSetNoDiagonalScaling() Many br

Many br

Notes: Only implemented for the SeqAIJ matrix format. Many brNot a true parallel SOR, in parallel this implementation corresponds to block Many brJacobi with SOR on each block. Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCEisenstatSetNoDiagonalScaling(), PCEisenstatSetOmega(), PCSOR Many br

Level:beginner
Location:src/ksp/pc/impls/eisens/eisen.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages